Bug 647589 - SELinux errors when dynamically creating homedir
SELinux errors when dynamically creating homedir
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
19
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
: 784444 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 16:33 EDT by Eric Paris
Modified: 2015-02-18 08:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2010-10-28 16:33:49 EDT
authconfig-6.1.11-1.fc14.x86_64

during firstboot I did not set up a user.  I selected FreeIPA and told it to create homedirs the first time I log in.

When I logged in I found that this generated multiple AVCs.

I had a brief conversation on irc with sgallagh about it which I am attaching below.

< eparis> also need to file a bug or two because SELinux got mad creating my new homedir
>>sgallagh<< eparis: Also not a bug
>>sgallagh<< eparis: You need to have pam_oddjob_mkhomedir installed to avoid that
< sgallagh> It's a limitation of the ages-old pam_mkhomedir
< eparis> firstboot gui shouldn't offer something it can't actually do correctly....
< sgallagh> THAT we should probably document more prominently, but I'm pretty sure it's mentioned in Fedora docs somewhere
>>sgallagh<< eparis: File a bug against authconfig
< sgallagh> I want them to require the oddjob version by default
< sgallagh> Right now authconfig uses it if its available, but doesn't mandate its installation
Comment 1 Tomas Mraz 2011-09-08 04:40:19 EDT
I think this should be done by properly adding oddjob-mkhomedir to comps to be installed by default in the non-minimal types of installs.
Comment 2 Nalin Dahyabhai 2011-09-08 12:46:44 EDT
Alternately, authconfig should not be configuring the system to use pam_mkhomedir when the system is configured to enforce SELinux policy.  It should at least warn the administrator that it's about to write out a configuration that isn't expected to work.

Moving this back to the authconfig component.
Comment 3 Simo Sorce 2012-01-26 15:48:52 EST
*** Bug 784444 has been marked as a duplicate of this bug. ***
Comment 4 Simo Sorce 2012-01-26 15:50:09 EST
Can we have a resolution for this ?
It's really confusing for users and by default Fedora uses SELinux in Enforcing mode which means pam_mkhomedir is *always* broken by default.
Comment 5 Tomas Mraz 2012-01-31 08:58:46 EST
I'll make the GUI option grayed out when SELinux is enforcing and the pam_oddjob_mkhomedir is not available.

Also in the command-line UI I will warn about the unusability of pam_mkhomedir with SELinux enforcing, suggesting to install oddjob-mkhomedir package.
Comment 6 Simo Sorce 2012-01-31 16:28:40 EST
*** Bug 786223 has been marked as a duplicate of this bug. ***
Comment 7 Tomas Mraz 2012-02-01 11:30:11 EST
*** Bug 786223 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2013-04-03 16:18:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 16:46:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 08:30:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.